Bug 125924 - missing /etc/pam.d/kde-np causes kdm autologin to fail
Summary: missing /etc/pam.d/kde-np causes kdm autologin to fail
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-14 07:13 UTC by Michael D. Cencula
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 15:58:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael D. Cencula 2004-06-14 07:13:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Fedora Core 2 is missing the file /etc/pam.d/kde-np.  When /etc/sysconfig/desktop has the entry:
DISPLAYMANAGER="KDE"
This causes FC2 to use kdm instead of the default gdm.  This is useful for users that want to use the kde autologin feature.  However, the missing pam file causes kde autologin to fail even when correctly configured via kcontrol.



Version-Release number of selected component (if applicable):
kdebase-3.2.2-4

How reproducible:
Always

Steps to Reproduce:
1. Add DISPLAYMANAGER="KDE" to /etc/sysconfig/desktop
2. Configure Autologin with kcontrol (convenience tab)
3. Observe Authentication Failed dialog when starting X
    

Actual Results:  Autologin fails (gives dialog) and user must then login with username and password.

Expected Results:  X should automatically login with the configured user.

Additional info:

Solution:
cp /etc/pam.d/gdm-autologin /etc/pam.d/kde-np

This makes kdm autologin functional.  The file /etc/pam.d/kde-np should be included with the distribution.

Comment 1 Doncho Gunchev 2004-09-27 22:38:44 UTC
Still missing with FC3t2 :( - 'authentication failure'.

Comment 2 Ngo Than 2004-09-28 15:58:05 UTC
it's fixed in 3.3.0-7. Many thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.